import {
  defineConfig,
  presetAttributify,
  presetTypography,
  presetUno,
  presetWebFonts,
  transformerDirectives,
  transformerVariantGroup,
} from "unocss"

export default defineConfig({
  presets: [
    presetUno(),
    presetAttributify(),
    presetTypography(),
    // presetWebFonts({
    //   fonts: {
    //     sans: "DM Sans",
    //     serif: "DM Serif Display",
    //     mono: "DM Mono",
    //   },
    // }),
    // presetWebFonts({
    //   fonts: {
    //     sans: "Inter:100,200,400,700,800",
    //     mono: "IBM Plex Mono",
    //   },
    // }),
  ],
  transformers: [transformerDirectives(), transformerVariantGroup()],
})
